Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.impl
Class ApplicationContextImpl

    java.lang.Object
      com.sun.management.oss.impl.ApplicationContextImpl

All Implemented Interfaces:
  ApplicationContext, java.lang.Cloneable, java.io.Serializable

public class ApplicationContextImpl
extends java.lang.Object
implements ApplicationContext

ApplicationContextImpl

Version:
  1.0
See Also:
  Serialized Form

Constructor Summary
`ApplicationContextImpl()` Creates new ApplicationContextImpl
`ApplicationContextImpl(java.util.Properties p)`

Method Summary
`java.lang.Object` | `clone()` Deep copy of this key
`boolean` | `equals(java.lang.Object anObject)` Returns a boolean that indicates whether the contents of the passed in ApplicationContextImpl instance are equal to the contents of this instance.
`java.lang.String` | `getFactoryClass()` The name of the factory class required to setup the initial context with the JNDI provider
`java.util.Map` | `getSystemProperties()` Other properties that may be necessary and vendor specific to setup an initial context with the JNDI Provider
`java.lang.String` | `getURL()` The URL of the JNDI provider where the Home interfaces of the Session Bean(s) in charge of the entity could be found.
`int` | `hashCode()`
`void` | `setFactoryClass(java.lang.String factoryClassName)` The name of the factory class required to setup the initial context with the JNDI provider
`void` | `setSystemProperties(java.util.Map properties)` Other properties that may be necessary and vendor specific to setup an initial context with the JNDI Provider
`void` | `setURL(java.lang.String URL)` The URL of the JNDI provider where the Home interfaces of the Session Bean(s) in charge of the entity could be found.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ApplicationContextImpl

    public ApplicationContextImpl()

  Creates new ApplicationContextImpl

### ApplicationContextImpl

    public ApplicationContextImpl(java.util.Properties p)

Method Detail

### clone

    public java.lang.Object clone()

  Deep copy of this key

  Specified by:
    `clone` in interface `ApplicationContext`
  Returns:
    deep copy of the application context

### getFactoryClass

    public java.lang.String getFactoryClass()

  The name of the factory class required to setup the initial context with the JNDI provider

  Specified by:
    `getFactoryClass` in interface `ApplicationContext`
  Returns:
    name of factory class

### getURL

    public java.lang.String getURL()

  The URL of the JNDI provider where the Home interfaces of the Session Bean(s) in charge of the entity could be found.

  Specified by:
    `getURL` in interface `ApplicationContext`
  Returns:
    URL of the JNDI provider

### getSystemProperties

    public java.util.Map getSystemProperties()

  Other properties that may be necessary and vendor specific to setup an initial context with the JNDI Provider

  Specified by:
    `getSystemProperties` in interface `ApplicationContext`
  Returns:
    Map of system properties

### setFactoryClass

    public void setFactoryClass(java.lang.String factoryClassName)

  The name of the factory class required to setup the initial context with the JNDI provider

  Specified by:
    `setFactoryClass` in interface `ApplicationContext`
  Parameters:
    `factoryClassName` - name of the factory class

### setURL

    public void setURL(java.lang.String URL)

  The URL of the JNDI provider where the Home interfaces of the Session Bean(s) in charge of the entity could be found.

  Specified by:
    `setURL` in interface `ApplicationContext`
  Parameters:
    `URL` - of the JNDI provider

### setSystemProperties

    public void setSystemProperties(java.util.Map properties)

  Other properties that may be necessary and vendor specific to setup an initial context with the JNDI Provider

  Specified by:
    `setSystemProperties` in interface `ApplicationContext`
  Parameters:
    `properties` - the system properties

### equals

    public boolean equals(java.lang.Object anObject)

  Returns a boolean that indicates whether the contents of the passed in ApplicationContextImpl instance are equal to the contents of this instance.

  Returns:
    boolean - indicating if the instances are equal.

### toString

    public java.lang.String toString()

### hashCode

    public int hashCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD